Bug 1877950 - [Docs] Add details to customized the install-config to modify the VM resources used during RHV IPI installation.
Summary: [Docs] Add details to customized the install-config to modify the VM resource...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Vikram Goyal
QA Contact: Xiaoli Tian
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 20:59 UTC by vaibhav
Modified: 2020-09-17 22:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-15 06:51:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description vaibhav 2020-09-10 20:59:02 UTC
Document URL:

https://docs.openshift.com/container-platform/4.6/installing/installing_rhv/installing-rhv-default.html

Section Number and Name: 
 
Deploying the cluster

Describe the issue: 

Add a section on customization of resources with the IPI installation method by modifying the install-config file before running a create a cluster.

Because of the RHV bug 1863615, the only workaround is to use the vmType as a server in install-config, so we need to have details in our document on customizing the resources like CPU, RAM, vmType, etc for the master and worker nodes.

Suggestions for improvement: 

Add examples about customizing the resources on RHV IPI install-config file, Below upstream document can be referred for more details.

Title:- oVirt Platform Customization
Link :- https://github.com/openshift/installer/blob/master/docs/user/ovirt/customization.md#custom-machine-pools

Additional information: 

These details are requested by many customers who want to customize the VM resources in RHV IPI installation, it's good to have it in our official documentation.

https://access.redhat.com/solutions/5381061


Note You need to log in before you can comment on or make changes to this bug.